import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { FormsModule } from '@angular/forms'; 
import { CommonModule } from '@angular/common'; 
import { IonicModule } from '@ionic/angular';
@Component({
  selector: 'app-page-news',
  templateUrl: './page-news.component.html',
  styleUrls: ['./page-news.component.scss'],
  standalone: true,
  imports: [FormsModule, CommonModule, IonicModule], 
})
export class PageNewsComponent {
  constructor(private router: Router) {}

  openArticle(article: any) {
    console.log('打开文章:', article.title);
  }
}